geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kevan Miller <kevan.mil...@gmail.com>
Subject Re: Avoiding geronimo binding port 1099 and 9999 to all net ifaces
Date Mon, 18 Jun 2007 15:03:30 GMT

On Jun 17, 2007, at 5:05 AM, Tiziano wrote:

>
>
> Kevan Miller wrote:
>>
>>
>> On Jun 16, 2007, at 5:50 AM, Tiziano wrote:
>>
>>>
>>> Hi. I've installed Geronimo on a machine with 2 net ifaces. I've
>>> modified all
>>> the occurrences of host attribute in config.xml to one of the
>>> ifaces IP
>>> address and altered both the NamingProperties namingProviderUrl
>>> attribute
>>> and the JMXService urlPath attribute from ...://0.0.0.0:1099 to the
>>> same
>>> iface IP address specified before. When geronimo starts, all the
>>> services
>>> bind to the specified IP address, except the process listening at
>>> ports 1099
>>> and 9999 that still binds to all net ifaces. I've also tried to set
>>> 127.0.0.1 explicitely, but the results remains unchanged. How can I
>>> arrange
>>> this? The second net iface is on the Internet, so I can't left any
>>> process
>>> listening on it.
>>
>> What version of Geronimo?
>>
>> --kevan
>>
>>
> I've tried the 1.1 version and also the 1.1.1. The reason I've not  
> tried the
> 1.2 version is because I'm using the eclipse plugin (for development
> purposes) that seems to be available only for 1.1. Anyway, if you  
> think that
> the only way to solve this issue is installing 1.2 version (or even  
> the new
> 2.0), I can arrange to put it on the "Internet published" machine  
> and use
> another computer (with 1.1.1 version) for development

Thanks. Seems to be an issue with 2.0, also. If you could create a  
Jira (https://issues.apache.org/jira/browse/GERONIMO) with  
information describing your 1.1.1 config updates, that would be  
great. On 2.0, I configured "PlanServerHostname" and  
"PlanClientAddresses" in var/config/config-substitutions.properties.  
We're listening on 1099 and 9999 on all interfaces...

If you are interested, there are unstable eclipse drivers available  
for both 1.2 and 2.0. See http://people.apache.org/dist/geronimo/ 
eclipse/unstable/

--kevan




Mime
View raw message